%define git_commit c418634
%define snap 20141221

Name:           kio_mtp
Version:        0.75
Release:        %mkrel 1
Summary:        An MTP KIO slave for KDE
License:        GPLv2+
Group:		Graphical desktop/KDE4
URL:            https://projects.kde.org/projects/playground/base/kio-mtp
Source0:        kio-mtp-%{version}-%{snap}.tar.xz
Patch1: 	kio-mtp-catalog.patch

BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  %{_lib}mtp-devel

%description
Provides KIO Access to MTP devices using the mtp:/// protocol.


%prep
%setup -n kio-mtp-%{version}

%patch1 -p1 -b .catalog

for po in po/*/*.po ; do
pushd $(dirname $po)
mv kio_mtp.po kio_mtp4.po
popd
done


%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang kio_mtp4


%files -f kio_mtp4.lang
%doc README LICENCE
%{_libdir}/kde4/kio_mtp.so
%{_datadir}/apps/konqueror/dirtree/remote/mtp-network.desktop
%{_datadir}/apps/remoteview/mtp-network.desktop
%{_datadir}/apps/solid/actions/solid_mtp.desktop
%{_datadir}/kde4/services/mtp.protocol


%changelog
* Thu Aug 20 2015 bb <bb> 0.75-1pclos2015
- import into pclos
